Unverified Commit 07d17100 authored by Gavin Wood's avatar Gavin Wood Committed by GitHub
Browse files

v0.8.25 (#1785)



* Bump version

* Update RELEASE.md

Co-authored-by: Shawn Tabrizi's avatarShawn Tabrizi <shawntabrizi@gmail.com>
parent 935ed8de
Pipeline #109647 passed with stages
in 15 minutes and 27 seconds
......@@ -2547,7 +2547,7 @@ dependencies = [
[[package]]
name = "kusama-runtime"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"bitvec",
"frame-benchmarking",
......@@ -4658,7 +4658,7 @@ checksum = "feb3b2b1033b8a60b4da6ee470325f887758c95d5320f52f9ce0df055a55940e"
[[package]]
name = "polkadot"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"assert_cmd",
"futures 0.3.5",
......@@ -4724,7 +4724,7 @@ dependencies = [
[[package]]
name = "polkadot-cli"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"frame-benchmarking-cli",
"futures 0.3.5",
......@@ -4784,7 +4784,7 @@ dependencies = [
[[package]]
name = "polkadot-erasure-coding"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"derive_more 0.15.0",
"parity-scale-codec",
......@@ -5114,7 +5114,7 @@ dependencies = [
[[package]]
name = "polkadot-parachain"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"derive_more 0.99.11",
"futures 0.3.5",
......@@ -5156,7 +5156,7 @@ dependencies = [
[[package]]
name = "polkadot-primitives"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"bitvec",
"frame-system",
......@@ -5180,7 +5180,7 @@ dependencies = [
[[package]]
name = "polkadot-rpc"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"jsonrpc-core",
"pallet-transaction-payment-rpc",
......@@ -5206,7 +5206,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"bitvec",
"frame-benchmarking",
......@@ -5280,7 +5280,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime-common"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"bitvec",
"frame-benchmarking",
......@@ -5369,7 +5369,7 @@ dependencies = [
[[package]]
name = "polkadot-service"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"env_logger",
"frame-benchmarking",
......@@ -5514,7 +5514,7 @@ dependencies = [
[[package]]
name = "polkadot-statement-table"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"parity-scale-codec",
"polkadot-primitives",
......@@ -5523,7 +5523,7 @@ dependencies = [
[[package]]
name = "polkadot-test-runtime"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"bitvec",
"frame-executive",
......@@ -5652,7 +5652,7 @@ dependencies = [
[[package]]
name = "polkadot-validation"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"derive_more 0.14.1",
"futures 0.3.5",
......@@ -6317,7 +6317,7 @@ dependencies = [
[[package]]
name = "rococo-v1-runtime"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"frame-executive",
"frame-support",
......@@ -8764,7 +8764,7 @@ dependencies = [
[[package]]
name = "test-parachain-adder"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"dlmalloc",
"parity-scale-codec",
......@@ -8777,7 +8777,7 @@ dependencies = [
[[package]]
name = "test-parachain-halt"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"substrate-wasm-builder-runner",
]
......@@ -9878,7 +9878,7 @@ dependencies = [
[[package]]
name = "westend-runtime"
version = "0.8.24"
version = "0.8.25"
dependencies = [
"bitvec",
"frame-benchmarking",
......
......@@ -6,7 +6,7 @@ path = "src/main.rs"
name = "polkadot"
description = "Implementation of a https://polkadot.network node in Rust based on the Substrate framework."
license = "GPL-3.0-only"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
readme = "README.md"
......
......@@ -26,6 +26,7 @@ completion, tag the commit and proceed with the [All Releases](#all-releases) st
hours.
- [ ] Check that a draft release has been created at https://github.com/paritytech/polkadot/releases with relevant [release notes](#release-notes)
- [ ] Check that [build artifacts](#build-artifacts) have been added to the draft-release
- [ ] Check that you have updated the Cargo.toml version.
## Notes
......
[package]
name = "polkadot-cli"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Polkadot Relay-chain Client Node"
edition = "2018"
......
[package]
name = "polkadot-erasure-coding"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-parachain"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Types and utilities for creating and working with parachains"
edition = "2018"
......
[package]
name = "test-parachain-adder"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Test parachain which adds to a number as its state transition"
edition = "2018"
......
[package]
name = "test-parachain-halt"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Test parachain which executes forever"
edition = "2018"
......
[package]
name = "polkadot-primitives"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-rpc"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-runtime-common"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "kusama-runtime"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
build = "build.rs"
......
[package]
name = "polkadot-runtime"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
build = "build.rs"
......
[package]
name = "rococo-v1-runtime"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
build = "build.rs"
......
[package]
name = "polkadot-test-runtime"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
build = "build.rs"
......
[package]
name = "westend-runtime"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
build = "build.rs"
......
[package]
name = "polkadot-service"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-statement-table"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-validation"
version = "0.8.24"
version = "0.8.25"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment